### Method

# Gimp Image get_channels

#### Declaration [src]

    GimpChannel**
    gimp_image_get_channels (
      GimpImage* image,
      gint* num_channels
    )

#### Description [src]

Returns the list of channels contained in the specified image.

This procedure returns the list of channels contained in the specified image. This does not include the selection mask, or layer masks. The order is from topmost to bottommost. Note that "channels" are custom channels and do not include the image’s color components.

This method is not directly available to language bindings.

#### Parameters

`num_channels` | `gint*`
| The number of channels contained in the image.
| The argument will be set by the function.

#### Return value

Returns: | An array of `GimpChannel*`

         The list of channels contained in the image.
         The returned value must be freed with g_free().

| The length of the array is in the `num_channels` argument.
| The caller of the method takes ownership of the data container, but not the data inside it.